<?

include_once("project.class.php");
include_once("project_image.class.php");

class ProjectDAO{

		public static function getAllProjects($c){

			$sql = "SELECT * FROM " . $conn->database . ".project";
			$projects = array();
			$query = DBConnectionDAO::query($c->session,$sql);

			while($row = DBConnectionDAO::fetchArray($c->session,$query)){
				array_push($projects,new Project($row['project_id'],$row['project_subject'],$row['project_content'],$row['project_category'],$row['project_auftragssumme'],$row['project_bauzeit'],$row['project_bauleitung'],$row['project_polier'],$row['project_generalplaner'],$row['project_jahr']));
			}
			return $projects;
		}



		public static function getAllProjectsByCategory($c,$id){

			$sql = "SELECT * FROM " . $conn->database . ".project WHERE project_category = $id";
			$projects = array();
			$query = DBConnectionDAO::query($c->session,$sql);

			while($row = DBConnectionDAO::fetchArray($c->session,$query)){
				array_push($projects,new Project($row['project_id'],$row['project_subject'],$row['project_content'],$row['project_category'],$row['project_auftragssumme'],$row['project_bauzeit'],$row['project_bauleitung'],$row['project_polier'],$row['project_generalplaner'],$row['project_jahr']));
			}
			return $projects;
		}


		public static function save($conn,$project){
			try{
				if($project->id == ""){
					$sql = "INSERT INTO " . $conn->database . ".project (project_subject,project_content,project_category,project_auftragssumme,project_bauzeit,project_bauleitung,project_polier,project_generalplaner,project_jahr) VALUES ('$project->subject','$project->content',$project->category_id,'$project->auftragssumme','$project->bauzeit','$project->bauleitung','$project->polier','$project->generalplaner','$project->jahr')";
				}else{
					$sql = "UPDATE " . $conn->database . ".project SET project_subject='$project->subject',project_content='$project->content',project_category=$project->category_id,project_auftragssumme='$project->auftragssumme',project_bauzeit='$project->bauzeit',project_bauleitung='$project->bauleitung',project_polier='$project->polier',project_generalplaner='$project->generalplaner', project_jahr = '$project->jahr' WHERE project_id = $project->id";
				}
				DBConnectionDAO::query($conn->session,$sql);
			}catch(Exception  $ex){
				return array('returnCode' => '1','error' => $ex);
			}
			return array('returnCode' => '0');
		}


		public static function delete($conn,$id){
			try{
				$sql = "DELETE FROM " . $conn->database . ".project WHERE project_id = $id";
				DBConnectionDAO::query($conn->session,$sql);
			}catch(Exception  $ex){
				return array('returnCode' => '1','error' => $ex);
			}
			return array('returnCode' => '0');
		}



		public static function getImage($conn,$id){
			$sql = "SELECT * FROM " . $conn->database . ".project_image WHERE image_id = $id";
			$newsimage = null;
			$query = DBConnectionDAO::query($conn->session,$sql);

			if($row = DBConnectionDAO::fetchArray($conn->session,$query)){
				$newsimage = new ProjectImage($row['image_id'],$row['news_id'],$row['image_blob'],$row['image_thumb'],$row['image_thumb2']);
			}


			// file_put_contents("itiss1.pdf", $data);

			return $newsimage;
		}




		public static function getAllImages($conn,$id){
			$sql = "SELECT * FROM " . $conn->database . ".project_image WHERE project_id = $id";
			$images = array();
			$query = DBConnectionDAO::query($conn->session,$sql);

			while($row = DBConnectionDAO::fetchArray($conn->session,$query)){
				array_push($images,new ProjectImage($row['image_id'],$row['project_id'],$row['image_blob'],$row['image_thumb'],$row['image_thumb2']));
			}

			return $images;
		}


		public static function saveImage($conn,$image){
			try{
				$sql = "INSERT INTO " . $conn->database . ".project_image (project_id,image_blob,image_thumb,image_thumb2) VALUES ('$image->project_id','$image->blob','$image->thumb','$image->thumb2')";
				DBConnectionDAO::query($conn->session,$sql);
			}catch(Exception  $ex){
				return array('returnCode' => '1','error' => $ex);
			}
			return array('returnCode' => '0');
		}


		public static function deleteImage($conn,$id){
			try{
				$sql = "DELETE FROM " . $conn->database . ".project_image WHERE image_id = $id";
				DBConnectionDAO::query($conn->session,$sql);
			}catch(Exception  $ex){
				return array('returnCode' => '1','error' => $ex);
			}
			return array('returnCode' => '0');
		}




		public static function get($conn,$id){
			$sql = "SELECT * FROM " . $conn->database . ".project p WHERE p.project_id = $id";
			$project = null;
			$query = DBConnectionDAO::query($conn->session,$sql);

			if($row = DBConnectionDAO::fetchArray($conn->session,$query)){
				$project = new Project($row['project_id'],$row['project_subject'],$row['project_content'],$row['project_category'],$row['project_auftragssumme'],$row['project_bauzeit'],$row['project_bauleitung'],$row['project_polier'],$row['project_generalplaner'],$row['project_jahr']);

			}
			return $project;
		}



}

?>