

jQuery(document).ready(function ($) {


    //initialise Stellar.js
    $(window).stellar();

    //Cache some variables
    var links = $('.navigation').find('li');
    slide = $('.slide');
    button = $('.button');
		button_up = $('.button_up');
		info = $('.info');
		infomain = $('.info-main');
    mywindow = $(window);
    htmlbody = $('html,body');

		

    //Setup waypoints plugin
    slide.waypoint(function (event, direction) {

        //cache the variable of the data-slide attribute associated with each slide
        dataslide = $(this).attr('data-slide');
				
        //If the user scrolls up change the navigation link that has the same data-slide attribute as the slide to active and 
        //remove the active class from the previous navigation link 
        
        //alert("info-attr:" + info.attr('id'));
        //alert("waypoint slide:" + dataslide);
        //dataslide=dataslide+1;
        
								info.removeAttr('id');

								if (direction === 'down') {
										//$('.navigation li [data-slide="' + dataslide + '"]').addClass('active').prev().removeClass('active');
										//$('#navigation li a.info[data-slide="' + (dataslide) + '"]').removeAttr('id');
										$('#navigation li a.info[data-slide="' + dataslide + '"]').attr('id','navigationaktuell');            
								}
								// else If the user scrolls down change the navigation link that has the same data-slide attribute as the slide to active and 
								//remove the active class from the next navigation link 
								else {
										//$('.navigation li[data-slide="' + dataslide + '"]').addClass('active').next().removeClass('active');
										//$('#navigation li a.info[data-slide="' + (dataslide) + '"]').removeAttr('id');
										$('#navigation li a.info[data-slide="' + dataslide + '"]').attr('id','navigationaktuell');
								}
    });

    //waypoints doesnt detect the first slide when user scrolls back up to the top so we add this little bit of code, that removes the class 
    //from navigation link slide 2 and adds it to navigation link slide 1. 
    mywindow.scroll(function () {
        if (mywindow.scrollTop() == 0) {
            //$('.navigation li[data-slide="1"]').addClass('active');
            //$('.navigation li[data-slide="2"]').removeClass('active');
            $('#navigation li a.info[data-slide="2"]').removeAttr('id');
            $('#navigation li a.info[data-slide="1"]').attr('id','navigationaktuell');            
        }
    });

    //Create a function that will be passed a slide number and then will scroll to that slide using jquerys animate. The Jquery
    //easing plugin is also used, so we passed in the easing method of 'easeInOutQuint' which is available throught the plugin.
    function goToByScroll(dataslide) {
    		
    		$('#navigation li a.info[data-slide="' + dataslide +'"]').attr('scroll','no');
        htmlbody.animate({
            scrollTop: $('.slide[data-slide="' + dataslide + '"]').offset().top
        }, 2000, 'easeInOutQuint');
        
        setTimeout(function(){
				      $('#navigation li a.info').removeAttr('id');
        			$('#navigation li a.info[data-slide="' + dataslide +'"]').attr('id','navigationaktuell');
				   }, 2100);

        
        //alert("goto slide:" + dataslide);
        
        
    }



    //When the user clicks on the navigation links, get the data-slide attribute value of the link and pass that variable to the goToByScroll function
    links.click(function (e) {
        e.preventDefault();
        dataslide = $(this).attr('data-slide');
        goToByScroll(dataslide);
    });

    //When the user clicks on the button, get the get the data-slide attribute value of the button and pass that variable to the goToByScroll function
    button.click(function (e) {
        e.preventDefault();
        dataslide = $(this).attr('data-slide');
        goToByScroll(dataslide);

    });
	 //When the user clicks on the button_up, get the get the data-slide attribute value of the button and pass that variable to the goToByScroll function
    button_up.click(function (e) {
        e.preventDefault();
        dataslide = $(this).attr('data-slide');
        goToByScroll(dataslide);

    });
		 //When the user clicks on the info, get the get the data-slide attribute value of the button and pass that variable to the goToByScroll function
    info.click(function (e) {
    		e.preventDefault();
        dataslide = $(this).attr('data-slide');
        goToByScroll(dataslide);
        //info.removeAttr('id');
        //$(this).attr('id','navigationaktuell');
    });
    
    infomain.click(function (e) {
	        e.preventDefault();
	        dataslide = $(this).attr('data-slide');
	        goToByScroll(dataslide);
    });
    
 // initialize isotope
 $('#filtercontainer').isotope({
    itemSelector : '.threecol',
        layoutMode : 'fitRows'
});
		
				$('#filters a').click(function(){
					var selector = $(this).attr('data-filter');
					
					 $('#filters a').removeClass("navigationprojekteaktuell");
           $(this).addClass("navigationprojekteaktuell");
					$('#filtercontainer').isotope({ filter: selector });
					return false;
				});
		



$("#scroller-div").smoothDivScroll({
			mousewheelScrolling: "",
			manualContinuousScrolling: true,
			visibleHotSpotBackgrounds: "always",
			hotSpotScrollingInterval: 40,
			
			
		});
		
		
		

		

  	// news images
	       $(".rslides").responsiveSlides({
	 	        maxwidth: 450,
	 	        speed: 800,
	 	        //nav: true,
	 	        namespace: "centered-btns",
	 	        auto: false,
	 	        pager: true
      });




				/*$("a.info-nav").click(function(){
					
					$("a.info-nav").removeAttr('id');
					$(this).attr('id','navigationaktuell');
					
				});*/


	// news pages
		$('.normal pagelink').click(function(){
			alert("x");
		});



});