<?

include_once("news.class.php");
include_once("news_image.class.php");

class NewsDAO{

		public static function getLatestNews($c){

			$sql = "SELECT * FROM " . $conn->database . ".news ORDER BY news_date DESC LIMIT 0,4";
			$news = array();
			$query = DBConnectionDAO::query($c->session,$sql);

			while($row = DBConnectionDAO::fetchArray($c->session,$query)){
				array_push($news,new News($row['news_id'],$row['news_date'],$row['news_subject'],$row['news_content'],$row['news_youtube']));
			}
			return $news;
		}

		public static function getAllNews($c){

			$sql = "SELECT * FROM " . $conn->database . ".news ORDER BY news_date DESC";
			$news = array();
			$query = DBConnectionDAO::query($c->session,$sql);

			while($row = DBConnectionDAO::fetchArray($c->session,$query)){
				array_push($news,new News($row['news_id'],$row['news_date'],$row['news_subject'],$row['news_content'],$row['news_youtube']));
			}
			return $news;
		}


		public static function save($conn,$news){
			try{
				if($news->id == ""){
					$sql = "INSERT INTO " . $conn->database . ".news (news_date,news_subject,news_content,news_youtube) VALUES (NOW(),'$news->subject','$news->content','$news->youtube')";
				}else{
					$sql = "UPDATE " . $conn->database . ".news SET news_subject='$news->subject',news_content='$news->content',news_youtube = '$news->youtube', news_date = NOW() WHERE news_id = $news->id";
				}
				DBConnectionDAO::query($conn->session,$sql);
			}catch(Exception  $ex){
				return array('returnCode' => '1','error' => $ex);
			}
			return array('returnCode' => '0');
		}


		public static function delete($conn,$id){
			try{
				$sql = "DELETE FROM " . $conn->database . ".news WHERE news_id = $id";
				DBConnectionDAO::query($conn->session,$sql);
			}catch(Exception  $ex){
				return array('returnCode' => '1','error' => $ex);
			}
			return array('returnCode' => '0');
		}



		public static function getImage($conn,$id){
			$sql = "SELECT * FROM " . $conn->database . ".news_image WHERE image_id = $id";
			$newsimage = null;
			$query = DBConnectionDAO::query($conn->session,$sql);

			if($row = DBConnectionDAO::fetchArray($conn->session,$query)){
				$newsimage = new NewsImage($row['image_id'],$row['news_id'],$row['image_blob'],$row['image_thumb'],$row['image_thumb2']);
			}


			// file_put_contents("itiss1.pdf", $data);

			return $newsimage;
		}




		public static function getAllImages($conn,$id){
			$sql = "SELECT * FROM " . $conn->database . ".news_image WHERE news_id = $id";
			$images = array();
			$query = DBConnectionDAO::query($conn->session,$sql);

			while($row = DBConnectionDAO::fetchArray($conn->session,$query)){
				array_push($images,new NewsImage($row['image_id'],$row['news_id'],$row['image_blob'],$row['image_thumb'],$row['image_thumb2']));
			}

			// file_put_contents("itiss1.pdf", $data);

			return $images;
		}


		public static function saveImage($conn,$image){
			try{
				$sql = "INSERT INTO " . $conn->database . ".news_image (news_id,image_blob,image_thumb,image_thumb2) VALUES ('$image->news_id','$image->blob','$image->thumb','$image->thumb2')";
				DBConnectionDAO::query($conn->session,$sql);
			}catch(Exception  $ex){
				return array('returnCode' => '1','error' => $ex);
			}
			return array('returnCode' => '0');
		}


		public static function deleteImage($conn,$id){
			try{
				$sql = "DELETE FROM " . $conn->database . ".news_image WHERE image_id = $id";
				DBConnectionDAO::query($conn->session,$sql);
			}catch(Exception  $ex){
				return array('returnCode' => '1','error' => $ex);
			}
			return array('returnCode' => '0');
		}




		public static function get($conn,$id){
			$sql = "SELECT * FROM " . $conn->database . ".news n WHERE n.news_id = $id";
			$news = null;
			$query = DBConnectionDAO::query($conn->session,$sql);

			if($row = DBConnectionDAO::fetchArray($conn->session,$query)){
				$news = new News($row['news_id'],$row['news_date'],$row['news_subject'],$row['news_content'],$row['news_youtube']);
			}
			return $news;
		}



}

?>