function reloadImages(){

		$.ajax({
				url: "classes/project.jquery.php",
				data: {action:'images','id':id},
				type: "POST",
				success: function(data,code){

					var data = jQuery.parseJSON(data);
  				var items = [];

					$.each(data, function(key, val) {
					    items.push('<li id="' + key + '"><img src="classes/project.showImage.php?thumb&id=' + val.id + '" border="0"/><br/><a onClick="javascript:showInfobox(' + val.id + ');" class="icon-delete" id="' + key + '" title="l&ouml;schen">&nbsp;</a></li>');
					  });


					$('#container-images').empty();
					$('<ul/>', {
					    'class': 'image-list',
					    html: items.join('')
  					}).appendTo('#container-images');


				}
      	});
	}


function showInfobox(id){
	$('#project_id').text(id);
	$('#infobox').show();
}

$(document).ready(function(){

		$('#infobox').hide();	

		$('.icon-delete').click(function(){			
		
			var id = $(this).attr('id');
			showInfobox(id);			
		});

		
		$('#button-delete-yes').click(function(){			
					var id = $('#project_id').text();
					
					$.ajax({
										url: "classes/project.jquery.php",
										data: {action:action,'id':id},
										type: "POST",
									success: function(data,code){
											var data = jQuery.parseJSON(data);
											if(data.returnCode == 0){
												window.location.href = url;
											}else{
												$('#infobox').text(data.error);
											}

										},
									error: function(){
											$('#infobox').text('Fehler beim Lschen.');
										}
      	});
					
		});
		
		$('#button-delete-no').click(function(){			
					$('#infobox').hide();
		});

		$('#project-submit').click(function(){
			var subject = $('#project-subject').val();
			var content = $('#project-content').val();
			var auftragssumme = $('#project-auftragssumme').val();
			var bauzeit = $('#project-bauzeit').val();
			var polier = $('#project-polier').val();
			var generalplaner = $('#project-generalplaner').val();
			var bauleitung = $('#project-bauleitung').val();
			var category = $('#project-category').val();
			var id = $('#project-id').val();
			var jahr=$('#project-jahr').val();
			
			var error = false;
			
			$('#project-subject').removeClass('input-error');
			$('#project-content').removeClass('input-error');
			$('#project-auftragssumme').removeClass('input-error');
			$('#project-bauzeit').removeClass('input-error');
			$('#project-polier').removeClass('input-error');
			$('#project-generalplaner').removeClass('input-error');
			$('#project-bauleitung').removeClass('input-error');
			$('#project-jahr').removeClass('input-error');
			
			if(subject == ""){
					$('#project-subject').addClass('input-error');
					error = true;
			}
			
			if(content == ""){
				$('#project-content').addClass('input-error');
				error = true;
			}
			
			if(auftragssumme == ""){
				$('#project-auftragssumme').addClass('input-error');
				error = true;
			}
			
			if(bauzeit == ""){
				$('#project-bauzeit').addClass('input-error');
				error = true;
			}
			
			if(bauleitung == ""){
				$('#project-bauleitung').addClass('input-error');
				error = true;
			}
			
			if(polier == ""){
				$('#project-polier').addClass('input-error');
				error = true;
			}			

			if(generalplaner == ""){
				$('#project-generalplaner').addClass('input-error');
				error = true;
			}	
			
			if(jahr == ""){
				$('#project-jahr').addClass('input-error');
				error = true;
			}	
			
			if(!error){
				$.ajax({
									url: "classes/project.jquery.php",
									data: {action:'save','subject':subject,'content':content,'id':id,'category':category,'auftragssumme':auftragssumme,'bauzeit':bauzeit,'bauleitung':bauleitung,'polier':polier,'generalplaner':generalplaner,'jahr':jahr},
									type: "POST",
								success: function(data,code){
										var data = jQuery.parseJSON(data);
										if(data.returnCode == 0){
											window.location.href = 'dashboard.php?module=' + moduleId;
										}else{
											$('#infobox').text(data.error);
										}
										
									},
								error: function(){
										$('#infobox').text('Fehler beim Speichern.');
									}
      	});
			}
			
			
		});

});